Package org.apache.tomcat.jni

## Class Local

- java.lang.Object
- - org.apache.tomcat.jni.Local

-     @Deprecated
      public class Local
      extends java.lang.Object

  Deprecated.
  The scope of the APR/Native Library will be reduced in Tomcat 10.1.x / Tomcat Native 2.x onwards to only include those components required to provide OpenSSL integration with the NIO and NIO2 connectors.
  Local socket.
  Author:
    Mladen Turk

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Local()` | Deprecated.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static long` | `accept​(long sock)` | Deprecated. Accept a new connection request
    `static int` | `bind​(long sock, long sa)` | Deprecated. Bind the socket to its associated port
    `static int` | `connect​(long sock, long sa)` | Deprecated. Issue a connection request to a socket either on the same machine or a different one.
    `static long` | `create​(java.lang.String path, long cont)` | Deprecated. Create a socket.
    `static int` | `listen​(long sock, int backlog)` | Deprecated. Listen to a bound socket for connections.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Local

          public Local()

      Deprecated.

  - ### Method Detail

    - #### create

          public static long create​(java.lang.String path,
                                    long cont)
                             throws java.lang.Exception

      Deprecated.
      Create a socket.
      Parameters:
        `path` - The address of the new socket.
        `cont` - The parent pool to use
      Returns:
        The new socket that has been set up.
      Throws:
        `java.lang.Exception` - If socket creation failed

    - #### bind

          public static int bind​(long sock,
                                 long sa)

      Deprecated.
      Bind the socket to its associated port
      Parameters:
        `sock` - The socket to bind
        `sa` - The socket address to bind to This may be where we will find out if there is any other process using the selected port.
      Returns:
        the operation status

    - #### listen

          public static int listen​(long sock,
                                   int backlog)

      Deprecated.
      Listen to a bound socket for connections.
      Parameters:
        `sock` - The socket to listen on
        `backlog` - The number of outstanding connections allowed in the sockets listen queue. If this value is less than zero, for NT pipes the number of instances is unlimited.
      Returns:
        the operation status

    - #### accept

          public static long accept​(long sock)
                             throws java.lang.Exception

      Deprecated.
      Accept a new connection request
      Parameters:
        `sock` - The socket we are listening on.
      Returns:
        A copy of the socket that is connected to the socket that made the connection request. This is the socket which should be used for all future communication.
      Throws:
        `java.lang.Exception` - If accept failed

    - #### connect

          public static int connect​(long sock,
                                    long sa)

      Deprecated.
      Issue a connection request to a socket either on the same machine or a different one.
      Parameters:
        `sock` - The socket we wish to use for our side of the connection
        `sa` - The address of the machine we wish to connect to. Unused for NT Pipes.
      Returns:
        the operation status